package server.lifecycle;

import server.data.ObjectSystemData;

import java.util.List;

/**
 *
 */
public interface IState {

    List<IState> getExitStates(ObjectSystemData osd);
    
    void setExitStates(List<IState> states);

    Boolean checkEnteringObject(ObjectSystemData osd);

    void enter(ObjectSystemData osd);

    void exit(ObjectSystemData osd, IState nextState);

}
