package server.dao;

import server.lifecycle.LifeCycle;

import javax.persistence.Query;
import java.util.List;

public class LifeCycleDAOHibernate extends GenericHibernateDAO<LifeCycle, Long>
		implements LifeCycleDAO {

	@Override
	public void delete(Long id) {
		LifeCycle moribundus = get(id);
		makeTransient(moribundus);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<LifeCycle> list() {
		Query q = getSession().createNamedQuery("selectAllLifeCycles");
		return q.getResultList();
	}

	/* (non-Javadoc)
	 * @see server.dao.GenericDAO#get(java.lang.Long)
	 */
	@Override
	public LifeCycle get(Long id) {
		return getSession().find(LifeCycle.class, id);
	}


}