package server.dao;

import server.lifecycle.LifeCycle;
import server.lifecycle.LifeCycleState;

import javax.persistence.Query;
import java.util.List;

public class LifeCycleStateDAOHibernate extends GenericHibernateDAO<LifeCycleState, Long>
		implements LifeCycleStateDAO {

	@Override
	public void delete(Long id) {
		LifeCycleState moribundus = get(id);
		makeTransient(moribundus);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<LifeCycleState> list() {
		Query q = getSession().createNamedQuery("selectAllLifeCycleStates");
		return q.getResultList();
	}

	/* (non-Javadoc)
	 * @see server.dao.GenericDAO#get(java.lang.Long)
	 */
	@Override
	public LifeCycleState get(Long id) {
		return getSession().find(LifeCycleState.class, id);
	}


}