package server.dao;

import server.Session;
import server.User;

import java.util.List;

public interface SessionDAO extends GenericDAO<Session, Long> {
	Session findByTicket(String ticket);
	List<Session> findByUser(User user);
	void delete(String ticket);
	void delete(Session session);
	/**
	 * Delete all Sessions from the session table. 
	 */
	void deleteAll();
	void setMessage(String ticket, String message);
	void setMessage(String ticket, String className, String message);
}
